      double complex function HPL4ar1(n1,n2,n3,n4,x)
      implicit none
      integer n1,n2,n3,n4,j,bcflag
      double complex x,ris,myi,cli4pt5,cli4,zp,llzp
      double precision pi, zeta2, zeta3,zeta4,ll2,xre

      pi=3.1415926535897932385D0
      zeta3=1.20205690315959428539973816151d0
      zeta2=pi**2/6d0
      zeta4=pi**4/90d0
      myi = dcmplx(0d0,1d0)
      bcflag = 0

      ll2 = dlog(2d0)
      cli4pt5 = cli4(dcmplx(0.5d0,0d0))

      j=1+(n4+1)*1+(n3+1)*3+(n2+1)*9+(n1+1)*27
      ris = dcmplx(0d0,0d0)

c---  +i*epsilon to get branch cuts right ---
      if (dimag(x).eq.0d0) then
         x = x + dcmplx(0d0,1d-60)
         bcflag = 1
      endif
c---  
      select case (j)

c This was file contains the Taylor 
c expansions around x = +1
c The expansion parameter is zp = 1-x

         case(1)            !-1-1-1-1

            zp = 1d0-x

            ris = -((zp*ll2**3)/12d0) + (ll2**4)/24d0 +
     & zp**3*(-((ll2)/48d0) + (ll2**2)/32d0 - (ll2**3)/144d0)
     & + zp**6*(17d0/9216d0 - (5d0*ll2)/1024d0 + (137d0*ll2**
     &2)/46080d0 - (ll2**3)/2304d0) + zp**4*(1d0/384d0 - (ll2
     &)/64d0 + (11d0*ll2**2)/768d0 - (ll2**3)/384d0) + zp**2*
     &((ll2**2)/16d0 - (ll2**3)/48d0) + zp**5*(1d0/384d0 - (7
     &d0*ll2)/768d0 + (5d0*ll2**2)/768d0 - (ll2**3)/960d0)

         case(2)            !-1-1-10

            zp = 1d0-x

            ris = -((pi**4)/90d0) - (pi**2*ll2**2)/12d0
     & + (ll2**4)/24d0 + cli4pt5 + ll2*zeta3 + zp**5*(11d0/19
     &20d0 - (pi**2*5d0)/4608d0 + (pi**2*ll2)/1920d0 - (zeta3
     &)/1280d0) + zp*((pi**2*ll2)/24d0 - (zeta3)/16d0) + zp**
     &3*(-((pi**2)/192d0) + (pi**2*ll2)/288d0 - (zeta3)/192d0
     &) + zp**6*(103d0/23040d0 - (pi**2*137d0)/276480d0 + (pi
     &**2*ll2)/4608d0 - (zeta3)/3072d0) + zp**4*(1d0/192d0 - 
     &(pi**2*11d0)/4608d0 + (pi**2*ll2)/768d0 - (zeta3)/512d0
     &) + zp**2*(-((pi**2)/96d0) + (pi**2*ll2)/96d0 - (zeta3)
     &/64d0)

         case(3)            !-1-1-11

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/90d0 + (pi**2*ll2**2)/24d0 - 
     &(ll2**4)/12d0 - cli4pt5 - (7d0*ll2*zeta3)/8d0 + zp**5*(
     &-(599d0/46080d0) + (pi**2*5d0)/4608d0 - (5d0*ll2**2)/76
     &8d0 + (ll2**3)/960d0 + (7d0*llzp)/768d0 - (zeta3)/1280d
     &0) + zp*((ll2**3)/12d0 - (zeta3)/16d0) + zp**3*((pi**2)
     &/192d0 - 11d0/288d0 - (ll2**2)/32d0 + (ll2**3)/144d0 + 
     &(llzp)/48d0 - (zeta3)/192d0) + zp**6*((pi**2*137d0)/276
     &480d0 - 79d0/12288d0 - (137d0*ll2**2)/46080d0 + (ll2**3
     &)/2304d0 + (5d0*llzp)/1024d0 - (zeta3)/3072d0) + zp**4*
     &((pi**2*11d0)/4608d0 - 19d0/768d0 - (11d0*ll2**2)/768d0
     & + (ll2**3)/384d0 + (llzp)/64d0 - (zeta3)/512d0) + zp**
     &2*((pi**2)/96d0 - (ll2**2)/16d0 + (ll2**3)/48d0 - (zeta
     &3)/64d0)

         case(4)            !-1-10-1

            zp = 1d0-x

            ris = (pi**4)/30d0 + (pi**2*ll2**2)/6d0 - (
     &ll2**4)/8d0 - 3*cli4pt5 - (23d0*ll2*zeta3)/8d0 + zp**6*
     &((pi**2*137d0)/276480d0 + 31d0/5760d0 - (23d0*ll2)/1440
     &d0 - (pi**2*ll2)/4608d0 + (zeta3)/1536d0) + zp**4*(1d0/
     &192d0 + (pi**2*11d0)/4608d0 - (pi**2*ll2)/768d0 - (7d0*
     &ll2)/192d0 + (zeta3)/256d0) + zp**2*((pi**2)/96d0 - (pi
     &**2*ll2)/96d0 + (zeta3)/32d0) + zp**5*(1d0/160d0 + (pi*
     &*2*5d0)/4608d0 - (pi**2*ll2)/1920d0 - (ll2)/40d0 + (zet
     &a3)/640d0) + zp*(-((pi**2*ll2)/24d0) + (zeta3)/8d0) + z
     &p**3*((pi**2)/192d0 - (ll2)/24d0 - (pi**2*ll2)/288d0 + 
     &(zeta3)/96d0)

         case(5)            !-1-100

            zp = 1d0-x

            ris = (pi**4)/48d0 + (pi**2*ll2**2)/12d0 - 
     &(ll2**4)/12d0 - 2*cli4pt5 - (3d0*zp*zeta3)/8d0 - (3d0*z
     &p**2*zeta3)/32d0 - (zp**3*zeta3)/32d0 - ll2*zeta3 + zp*
     &*4*(1d0/96d0 - (3d0*zeta3)/256d0) + zp**6*(29d0/2304d0 
     &- (zeta3)/512d0) + zp**5*(13d0/960d0 - (3d0*zeta3)/640d
     &0)

         case(6)            !-1-101

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/480d0 + (pi**2*ll2**2)/12d0 -
     & (5d0*ll2*zeta3)/8d0 + zp**5*((pi**2*5d0)/2304d0 - 77d0
     &/2400d0 - (pi**2*ll2)/960d0 + (llzp)/40d0 + (zeta3)/256
     &d0) + zp*(-((pi**2*ll2)/12d0) + (5d0*zeta3)/16d0) + zp*
     &*3*(-(11d0/144d0) + (pi**2)/96d0 - (pi**2*ll2)/144d0 + 
     &(llzp)/24d0 + (5d0*zeta3)/192d0) + zp**6*((pi**2*137d0)
     &/138240d0 - 169d0/9600d0 - (pi**2*ll2)/2304d0 + (23d0*l
     &lzp)/1440d0 + (5d0*zeta3)/3072d0) + zp**4*((pi**2*11d0)
     &/2304d0 - 127d0/2304d0 - (pi**2*ll2)/384d0 + (7d0*llzp)
     &/192d0 + (5d0*zeta3)/512d0) + zp**2*((pi**2)/48d0 - (pi
     &**2*ll2)/48d0 + (5d0*zeta3)/64d0)

         case(7)            !-1-11-1

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/30d0) - (pi**2*ll2**2)/8d0 
     &+ (ll2**4)/12d0 + 3*cli4pt5 + (11d0*ll2*zeta3)/4d0 + zp
     &**6*(-((pi**2*137d0)/276480d0) + 37d0/9216d0 + (2213d0*
     &ll2)/460800d0 - (pi**2*ll2)/4608d0 + (137d0*ll2**2)/460
     &80d0 + (ll2**3)/2304d0 - (137d0*ll2*llzp)/23040d0 + (ze
     &ta3)/1536d0) + zp**4*(-((pi**2*11d0)/4608d0) + 11d0/768
     &d0 + (131d0*ll2)/4608d0 - (pi**2*ll2)/768d0 + (11d0*ll2
     &**2)/768d0 + (ll2**3)/384d0 - (11d0*ll2*llzp)/384d0 + (
     &zeta3)/256d0) + zp**2*(-((pi**2)/96d0) + (3d0*ll2)/16d0
     & - (pi**2*ll2)/96d0 + (ll2**2)/16d0 + (ll2**3)/48d0 - (
     &ll2*llzp)/8d0 + (zeta3)/32d0) + zp**5*(181d0/23040d0 - 
     &(pi**2*5d0)/4608d0 - (pi**2*ll2)/1920d0 + (53d0*ll2)/46
     &08d0 + (5d0*ll2**2)/768d0 + (ll2**3)/960d0 - (5d0*ll2*l
     &lzp)/384d0 + (zeta3)/640d0) + zp*(-((pi**2*ll2)/24d0) +
     & (ll2**3)/12d0 + (zeta3)/8d0) + zp**3*(-((pi**2)/192d0)
     & + 1d0/48d0 - (pi**2*ll2)/288d0 + (7d0*ll2)/96d0 + (ll2
     &**2)/32d0 + (ll2**3)/144d0 - (ll2*llzp)/16d0 + (zeta3)/
     &96d0)

         case(8)            !-1-110

            zp = 1d0-x

            ris = -((pi**4*7d0)/288d0) - (pi**2*ll2**2)
     &/24d0 + (ll2**4)/12d0 + 2*cli4pt5 + (13d0*ll2*zeta3)/8d
     &0 + zp**5*(107d0/5760d0 - (pi**2*5d0)/2304d0 - (pi**2*l
     &l2)/1920d0 + (zeta3)/160d0) + zp**3*(1d0/24d0 - (pi**2)
     &/96d0 - (pi**2*ll2)/288d0 + (zeta3)/24d0) + zp*(-((pi**
     &2*ll2)/24d0) + (zeta3)/2d0) + zp**6*(-((pi**2*137d0)/13
     &8240d0) + 79d0/7680d0 - (pi**2*ll2)/4608d0 + (zeta3)/38
     &4d0) + zp**4*(-((pi**2*11d0)/2304d0) + 1d0/32d0 - (pi**
     &2*ll2)/768d0 + (zeta3)/64d0) + zp**2*(-((pi**2)/48d0) -
     & (pi**2*ll2)/96d0 + (zeta3)/8d0)

         case(9)            !-1-111

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/720d0 + (ll2**4)/24d0 - (ll2*
     &zeta3)/8d0 + zp**5*(2671d0/276480d0 + (pi**2*ll2)/1920d
     &0 - (ll2**3)/960d0 - (53d0*llzp)/4608d0 + (5d0*llzp**2)
     &/768d0 - (7d0*zeta3)/1280d0) + zp*((pi**2*ll2)/24d0 - (
     &ll2**3)/12d0 - (7d0*zeta3)/16d0) + zp**3*(41d0/576d0 + 
     &(pi**2*ll2)/288d0 - (ll2**3)/144d0 - (7d0*llzp)/96d0 + 
     &(llzp**2)/32d0 - (7d0*zeta3)/192d0) + zp**6*(322493d0/8
     &2944000d0 + (pi**2*ll2)/4608d0 - (ll2**3)/2304d0 - (221
     &3d0*llzp)/460800d0 + (137d0*llzp**2)/46080d0 - (7d0*zet
     &a3)/3072d0) + zp**4*(1397d0/55296d0 + (pi**2*ll2)/768d0
     & - (ll2**3)/384d0 - (131d0*llzp)/4608d0 + (11d0*llzp**2
     &)/768d0 - (7d0*zeta3)/512d0) + zp**2*(7d0/32d0 + (pi**2
     &*ll2)/96d0 - (ll2**3)/48d0 - (3d0*llzp)/16d0 + (llzp**2
     &)/16d0 - (7d0*zeta3)/64d0)

         case(10)            !-10-1-1

            zp = 1d0-x

            ris = -((pi**4)/30d0) - (pi**2*ll2**2)/8d0 
     &+ (ll2**4)/8d0 + 3*cli4pt5 - (zp*zeta3)/16d0 + (11d0*ll
     &2*zeta3)/4d0 + zp**5*(13d0/1920d0 - (ll2)/30d0 + (ll2**
     &2)/30d0 - (zeta3)/1280d0) + zp**3*(-((ll2)/24d0) + (ll2
     &**2)/12d0 - (zeta3)/192d0) + zp**6*(37d0/5760d0 - (97d0
     &*ll2)/3840d0 + (ll2**2)/45d0 - (zeta3)/3072d0) + zp**4*
     &(1d0/192d0 - (ll2)/24d0 + (5d0*ll2**2)/96d0 - (zeta3)/5
     &12d0) + zp**2*((ll2**2)/8d0 - (zeta3)/64d0)

         case(11)            !-10-10

            zp = 1d0-x

            ris = -((pi**4*11d0)/288d0) - (pi**2*ll2**2
     &)/6d0 + (ll2**4)/6d0 + 4*cli4pt5 + (3d0*zp*zeta3)/4d0 +
     & 2*ll2*zeta3 + zp**3*(-((pi**2)/72d0) + (zeta3)/16d0) +
     & zp**6*(17d0/1152d0 - (pi**2)/270d0 + (zeta3)/256d0) + 
     &zp**4*(-((pi**2*5d0)/576d0) + 1d0/96d0 + (3d0*zeta3)/12
     &8d0) + zp**2*(-((pi**2)/48d0) + (3d0*zeta3)/16d0) + zp*
     &*5*(-((pi**2)/180d0) + 7d0/480d0 + (3d0*zeta3)/320d0)

         case(12)            !-10-11

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4*5d0)/144d0 - (pi**2*ll2**2)/12
     &d0 - (ll2**4)/6d0 - 4*cli4pt5 - ll2*zeta3 + zp**5*((pi*
     &*2)/180d0 - 1367d0/28800d0 + (pi**2*ll2)/640d0 - (ll2**
     &2)/30d0 + (llzp)/30d0 - (13d0*zeta3)/1280d0) + zp*((pi*
     &*2*ll2)/8d0 - (13d0*zeta3)/16d0) + zp**3*(-(11d0/144d0)
     & + (pi**2)/72d0 + (pi**2*ll2)/96d0 - (ll2**2)/12d0 + (l
     &lzp)/24d0 - (13d0*zeta3)/192d0) + zp**6*((pi**2)/270d0 
     &- 7639d0/230400d0 + (pi**2*ll2)/1536d0 - (ll2**2)/45d0 
     &+ (97d0*llzp)/3840d0 - (13d0*zeta3)/3072d0) + zp**4*(-(
     &19d0/288d0) + (pi**2*5d0)/576d0 + (pi**2*ll2)/256d0 - (
     &5d0*ll2**2)/96d0 + (llzp)/24d0 - (13d0*zeta3)/512d0) + 
     &zp**2*((pi**2)/48d0 + (pi**2*ll2)/32d0 - (ll2**2)/8d0 -
     & (13d0*zeta3)/64d0)

         case(13)            !-100-1

            zp = 1d0-x

            ris = -((pi**4)/288d0) - (3d0*zp*zeta3)/8d0
     & + (3d0*ll2*zeta3)/4d0 + zp**3*((pi**2)/72d0 - (ll2)/12
     &d0 - (zeta3)/32d0) + zp**4*((pi**2*5d0)/576d0 + 1d0/96d
     &0 - (3d0*ll2)/32d0 - (3d0*zeta3)/256d0) + zp**2*((pi**2
     &)/48d0 - (3d0*zeta3)/32d0) + zp**6*((pi**2)/270d0 + 13d
     &0/768d0 - (5d0*ll2)/72d0 - (zeta3)/512d0) + zp**5*((pi*
     &*2)/180d0 + 1d0/64d0 - (ll2)/12d0 - (3d0*zeta3)/640d0)

         case(14)            !-1000

            zp = 1d0-x

            ris = -((pi**4*7d0)/720d0) + (zp**4)/48d0 +
     & (zp**5)/30d0 + (11d0*zp**6)/288d0

         case(15)            !-1001

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/60d0 + (pi**2*ll2**2)/12d0 - 
     &(ll2**4)/12d0 - 2*cli4pt5 - (zp*zeta3)/2d0 - (3d0*ll2*z
     &eta3)/4d0 + zp**5*(-(317d0/2880d0) + (pi**2)/90d0 + (ll
     &zp)/12d0 - (zeta3)/160d0) + zp**3*((pi**2)/36d0 - 11d0/
     &72d0 + (llzp)/12d0 - (zeta3)/24d0) + zp**6*((pi**2)/135
     &d0 - 187d0/2304d0 + (5d0*llzp)/72d0 - (zeta3)/384d0) + 
     &zp**4*(-(55d0/384d0) + (pi**2*5d0)/288d0 + (3d0*llzp)/3
     &2d0 - (zeta3)/64d0) + zp**2*((pi**2)/24d0 - (zeta3)/8d0
     &)

         case(16)            !-101-1

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4*7d0)/180d0) + (pi**2*ll2**2)
     &/12d0 + (ll2**4)/6d0 + 4*cli4pt5 + (13d0*ll2*zeta3)/8d0
     & + zp**5*(-((pi**2)/180d0) + 173d0/5760d0 - (pi**2*ll2)
     &/640d0 + (79d0*ll2)/1800d0 + (ll2**2)/30d0 - (ll2*llzp)
     &/15d0 + (zeta3)/160d0) + zp**3*(1d0/24d0 - (pi**2)/72d0
     & + (13d0*ll2)/72d0 - (pi**2*ll2)/96d0 + (ll2**2)/12d0 -
     & (ll2*llzp)/6d0 + (zeta3)/24d0) + zp*(-((pi**2*ll2)/8d0
     &) + (zeta3)/2d0) + zp**6*(-((pi**2)/270d0) + 3067d0/138
     &240d0 - (pi**2*ll2)/1536d0 + (169d0*ll2)/7200d0 + (ll2*
     &*2)/45d0 - (2d0*ll2*llzp)/45d0 + (zeta3)/384d0) + zp**4
     &*(5d0/128d0 - (pi**2*5d0)/576d0 - (pi**2*ll2)/256d0 + (
     &25d0*ll2)/288d0 + (5d0*ll2**2)/96d0 - (5d0*ll2*llzp)/48
     &d0 + (zeta3)/64d0) + zp**2*(-((pi**2)/48d0) - (pi**2*ll
     &2)/32d0 + (3d0*ll2)/8d0 + (ll2**2)/8d0 - (ll2*llzp)/4d0
     & + (zeta3)/8d0)

         case(17)            !-1010

            zp = 1d0-x

            ris = -((pi**4*17d0)/480d0) - (pi**2*ll2**2
     &)/6d0 + (ll2**4)/6d0 + 4*cli4pt5 + zp*zeta3 + (3d0*ll2*
     &zeta3)/2d0 + zp**3*(1d0/12d0 - (pi**2)/36d0 + (zeta3)/1
     &2d0) + zp**6*(-((pi**2)/135d0) + 179d0/3456d0 + (zeta3)
     &/192d0) + zp**4*(1d0/12d0 - (pi**2*5d0)/288d0 + (zeta3)
     &/32d0) + zp**2*(-((pi**2)/24d0) + (zeta3)/4d0) + zp**5*
     &(-((pi**2)/90d0) + 97d0/1440d0 + (zeta3)/80d0)

         case(18)            !-1011

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/288d0 + (pi**2*ll2**2)/24d0 -
     & (ll2**4)/24d0 - cli4pt5 - (zp*zeta3)/2d0 + (ll2*zeta3)
     &/8d0 + zp**5*(12017d0/432000d0 - (79d0*llzp)/1800d0 + (
     &llzp**2)/30d0 - (zeta3)/160d0) + zp**3*(71d0/432d0 - (1
     &3d0*llzp)/72d0 + (llzp**2)/12d0 - (zeta3)/24d0) + zp**6
     &*(64861d0/5184000d0 - (169d0*llzp)/7200d0 + (llzp**2)/4
     &5d0 - (zeta3)/384d0) + zp**4*(113d0/1728d0 - (25d0*llzp
     &)/288d0 + (5d0*llzp**2)/96d0 - (zeta3)/64d0) + zp**2*(7
     &d0/16d0 - (3d0*llzp)/8d0 + (llzp**2)/8d0 - (zeta3)/8d0)

         case(19)            !-11-1-1

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/30d0 + (pi**2*ll2**2)/6d0 - (
     &ll2**4)/6d0 - 3*cli4pt5 - (23d0*ll2*zeta3)/8d0 + zp**5*
     &(17d0/5120d0 + (pi**2*ll2)/1920d0 - (41d0*ll2)/4608d0 -
     & (ll2**2)/1600d0 - (ll2**3)/480d0 + (ll2**2*llzp)/320d0
     & - (zeta3)/1280d0) + zp*((pi**2*ll2)/24d0 - (ll2**2)/4d
     &0 - (ll2**3)/6d0 + (ll2**2*llzp)/4d0 - (zeta3)/16d0) + 
     &zp**3*(1d0/96d0 + (pi**2*ll2)/288d0 - (5d0*ll2)/96d0 - 
     &(ll2**2)/144d0 - (ll2**3)/72d0 + (ll2**2*llzp)/48d0 - (
     &zeta3)/192d0) + zp**6*(59d0/36864d0 + (pi**2*ll2)/4608d
     &0 - (5269d0*ll2)/1382400d0 - (ll2**2)/4608d0 - (ll2**3)
     &/1152d0 + (ll2**2*llzp)/768d0 - (zeta3)/3072d0) + zp**4
     &*(5d0/768d0 - (49d0*ll2)/2304d0 + (pi**2*ll2)/768d0 - (
     &ll2**2)/512d0 - (ll2**3)/192d0 + (ll2**2*llzp)/128d0 - 
     &(zeta3)/512d0) + zp**2*(-((ll2)/8d0) + (pi**2*ll2)/96d0
     & - (ll2**2)/32d0 - (ll2**3)/24d0 + (ll2**2*llzp)/16d0 -
     & (zeta3)/64d0)

         case(20)            !-11-10

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/360d0 + (pi**2*ll2**2)/24d0 -
     & ll2*zeta3 + zp**5*(49d0/5760d0 + (pi**2)/9600d0 + (pi*
     &*2*ll2)/640d0 - (pi**2*llzp)/1920d0 - (13d0*zeta3)/1280
     &d0) + zp*((pi**2)/24d0 + (pi**2*ll2)/8d0 - (pi**2*llzp)
     &/24d0 - (13d0*zeta3)/16d0) + zp**3*(1d0/48d0 + (pi**2)/
     &864d0 + (pi**2*ll2)/96d0 - (pi**2*llzp)/288d0 - (13d0*z
     &eta3)/192d0) + zp**6*((pi**2)/27648d0 + 1609d0/345600d0
     & + (pi**2*ll2)/1536d0 - (pi**2*llzp)/4608d0 - (13d0*zet
     &a3)/3072d0) + zp**4*(17d0/1152d0 + (pi**2)/3072d0 + (pi
     &**2*ll2)/256d0 - (pi**2*llzp)/768d0 - (13d0*zeta3)/512d
     &0) + zp**2*((pi**2)/192d0 + (pi**2*ll2)/32d0 - (pi**2*l
     &lzp)/96d0 - (13d0*zeta3)/64d0)

         case(21)            !-11-11

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/1440d0 - (pi**2*ll2**2)/24d0 
     &+ (ll2**4)/24d0 + (ll2*zeta3)/4d0 + zp**6*(-(17653d0/25
     &92000d0) - (pi**2)/27648d0 - (pi**2*ll2)/2304d0 + (ll2*
     &*2)/4608d0 + (ll2**3)/1152d0 + (pi**2*llzp)/4608d0 + (5
     &269d0*llzp)/1382400d0 - (ll2**2*llzp)/768d0 + (7d0*zeta
     &3)/1536d0) + zp**4*(-(1151d0/27648d0) - (pi**2)/3072d0 
     &- (pi**2*ll2)/384d0 + (ll2**2)/512d0 + (ll2**3)/192d0 +
     & (49d0*llzp)/2304d0 + (pi**2*llzp)/768d0 - (ll2**2*llzp
     &)/128d0 + (7d0*zeta3)/256d0) + zp**2*(-((pi**2)/192d0) 
     &- 5d0/16d0 - (pi**2*ll2)/48d0 + (ll2**2)/32d0 + (ll2**3
     &)/24d0 + (llzp)/8d0 + (pi**2*llzp)/96d0 - (ll2**2*llzp)
     &/16d0 + (7d0*zeta3)/32d0) + zp**5*(-(2281d0/138240d0) -
     & (pi**2)/9600d0 - (pi**2*ll2)/960d0 + (ll2**2)/1600d0 +
     & (ll2**3)/480d0 + (pi**2*llzp)/1920d0 + (41d0*llzp)/460
     &8d0 - (ll2**2*llzp)/320d0 + (7d0*zeta3)/640d0) + zp*(-(
     &(pi**2)/24d0) - (pi**2*ll2)/12d0 + (ll2**2)/4d0 + (ll2*
     &*3)/6d0 + (pi**2*llzp)/24d0 - (ll2**2*llzp)/4d0 + (7d0*
     &zeta3)/8d0) + zp**3*(-((pi**2)/864d0) - 1d0/9d0 - (pi**
     &2*ll2)/144d0 + (ll2**2)/144d0 + (ll2**3)/72d0 + (pi**2*
     &llzp)/288d0 + (5d0*llzp)/96d0 - (ll2**2*llzp)/48d0 + (7
     &d0*zeta3)/96d0)

         case(22)            !-110-1

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4*11d0)/240d0 + (pi**2*ll2**2)/8
     &d0 - (ll2**4)/6d0 - 4*cli4pt5 - (13d0*ll2*zeta3)/4d0 + 
     &zp**5*(31d0/2880d0 - (pi**2)/9600d0 - (11d0*ll2)/360d0 
     &+ (pi**2*llzp)/1920d0 + (zeta3)/256d0) + zp*(-((pi**2)/
     &24d0) + (pi**2*llzp)/24d0 + (5d0*zeta3)/16d0) + zp**3*(
     &1d0/48d0 - (pi**2)/864d0 - (ll2)/8d0 + (pi**2*llzp)/288
     &d0 + (5d0*zeta3)/192d0) + zp**6*(-((pi**2)/27648d0) + 7
     &3d0/10800d0 - (347d0*ll2)/21600d0 + (pi**2*llzp)/4608d0
     & + (5d0*zeta3)/3072d0) + zp**4*(19d0/1152d0 - (pi**2)/3
     &072d0 - (35d0*ll2)/576d0 + (pi**2*llzp)/768d0 + (5d0*ze
     &ta3)/512d0) + zp**2*(-((pi**2)/192d0) - (ll2)/4d0 + (pi
     &**2*llzp)/96d0 + (5d0*zeta3)/64d0)

         case(23)            !-1100

            zp = 1d0-x

            ris = (pi**4*19d0)/1440d0 - (zp*zeta3)/2d0 
     &- (zp**2*zeta3)/8d0 - (3d0*ll2*zeta3)/4d0 + zp**5*(5d0/
     &192d0 - (zeta3)/160d0) + zp**3*(1d0/24d0 - (zeta3)/24d0
     &) + zp**6*(41d0/2304d0 - (zeta3)/384d0) + zp**4*(7d0/19
     &2d0 - (zeta3)/64d0)

         case(24)            !-1101

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4*19d0)/1440d0 - (pi**2*ll2**2)/
     &24d0 - (ll2**4)/24d0 - cli4pt5 - (ll2*zeta3)/4d0 + zp*(
     &-((pi**2)/12d0) + (pi**2*llzp)/12d0 + zeta3) + zp**3*(-
     &((pi**2)/432d0) - 1d0/4d0 + (pi**2*llzp)/144d0 + (llzp)
     &/8d0 + (zeta3)/12d0) + zp**6*(-((pi**2)/13824d0) - 5152
     &1d0/2592000d0 + (pi**2*llzp)/2304d0 + (347d0*llzp)/2160
     &0d0 + (zeta3)/192d0) + zp**4*(-((pi**2)/1536d0) - 709d0
     &/6912d0 + (pi**2*llzp)/384d0 + (35d0*llzp)/576d0 + (zet
     &a3)/32d0) + zp**2*(-(5d0/8d0) - (pi**2)/96d0 + (pi**2*l
     &lzp)/48d0 + (llzp)/4d0 + (zeta3)/4d0) + zp**5*(-(1909d0
     &/43200d0) - (pi**2)/4800d0 + (11d0*llzp)/360d0 + (pi**2
     &*llzp)/960d0 + (zeta3)/80d0)

         case(25)            !-111-1

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/288d0) - (pi**2*ll2**2)/24d
     &0 + (ll2**4)/24d0 + (7d0*ll2*zeta3)/8d0 + zp**5*(407d0/
     &55296d0 + (pi**2)/9600d0 + (pi**2*ll2)/1920d0 - (ll2)/4
     &000d0 - (ll2**2)/1600d0 - (ll2**3)/960d0 - (pi**2*llzp)
     &/1920d0 + (ll2*llzp)/800d0 + (ll2**2*llzp)/320d0 - (ll2
     &*llzp**2)/320d0 - (7d0*zeta3)/1280d0) + zp*((pi**2)/24d
     &0 + (pi**2*ll2)/24d0 - (ll2)/2d0 - (ll2**2)/4d0 - (ll2*
     &*3)/12d0 - (pi**2*llzp)/24d0 + (ll2*llzp)/2d0 + (ll2**2
     &*llzp)/4d0 - (ll2*llzp**2)/4d0 - (7d0*zeta3)/16d0) + zp
     &**3*(3d0/64d0 + (pi**2)/864d0 - (ll2)/216d0 + (pi**2*ll
     &2)/288d0 - (ll2**2)/144d0 - (ll2**3)/144d0 - (pi**2*llz
     &p)/288d0 + (ll2*llzp)/72d0 + (ll2**2*llzp)/48d0 - (ll2*
     &llzp**2)/48d0 - (7d0*zeta3)/192d0) + zp**6*((pi**2)/276
     &48d0 + 256103d0/82944000d0 - (ll2)/13824d0 + (pi**2*ll2
     &)/4608d0 - (ll2**2)/4608d0 - (ll2**3)/2304d0 - (pi**2*l
     &lzp)/4608d0 + (ll2*llzp)/2304d0 + (ll2**2*llzp)/768d0 -
     & (ll2*llzp**2)/768d0 - (7d0*zeta3)/3072d0) + zp**4*(251
     &d0/13824d0 + (pi**2)/3072d0 - (ll2)/1024d0 + (pi**2*ll2
     &)/768d0 - (ll2**2)/512d0 - (ll2**3)/384d0 - (pi**2*llzp
     &)/768d0 + (ll2*llzp)/256d0 + (ll2**2*llzp)/128d0 - (ll2
     &*llzp**2)/128d0 - (7d0*zeta3)/512d0) + zp**2*((pi**2)/1
     &92d0 + 1d0/8d0 - (ll2)/32d0 + (pi**2*ll2)/96d0 - (ll2**
     &2)/32d0 - (ll2**3)/48d0 - (pi**2*llzp)/96d0 + (ll2*llzp
     &)/16d0 + (ll2**2*llzp)/16d0 - (ll2*llzp**2)/16d0 - (7d0
     &*zeta3)/64d0)

         case(26)            !-1110

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/720d0) - (ll2**4)/24d0 - cl
     &i4pt5 + (ll2*zeta3)/8d0 + zp**5*(329d0/17280d0 + (pi**2
     &)/4800d0 - (pi**2*llzp)/960d0 - (zeta3)/160d0) + zp**3*
     &((pi**2)/432d0 + 5d0/48d0 - (pi**2*llzp)/144d0 - (zeta3
     &)/24d0) + zp*((pi**2)/12d0 - (pi**2*llzp)/12d0 - (zeta3
     &)/2d0) + zp**6*((pi**2)/13824d0 + 44581d0/5184000d0 - (
     &pi**2*llzp)/2304d0 - (zeta3)/384d0) + zp**4*((pi**2)/15
     &36d0 + 151d0/3456d0 - (pi**2*llzp)/384d0 - (zeta3)/64d0
     &) + zp**2*(1d0/4d0 + (pi**2)/96d0 - (pi**2*llzp)/48d0 -
     & (zeta3)/8d0)

         case(27)            !-1111

            zp = 1d0-x
            llzp = log(zp)

            ris = zp*(-(1d0/2d0) + (llzp)/2d0 - (llzp**
     &2)/4d0 + (llzp**3)/12d0) + zp**3*(-(1d0/648d0) + (llzp)
     &/216d0 - (llzp**2)/144d0 + (llzp**3)/144d0) + zp**6*(-(
     &1d0/82944d0) + (llzp)/13824d0 - (llzp**2)/4608d0 + (llz
     &p**3)/2304d0) + zp**4*(-(1d0/4096d0) + (llzp)/1024d0 - 
     &(llzp**2)/512d0 + (llzp**3)/384d0) + zp**2*(-(1d0/64d0)
     & + (llzp)/32d0 - (llzp**2)/32d0 + (llzp**3)/48d0) + zp*
     &*5*(-(1d0/20000d0) + (llzp)/4000d0 - (llzp**2)/1600d0 +
     & (llzp**3)/960d0) + cli4pt5

         case(28)            !0-1-1-1

            zp = 1d0-x

            ris = (pi**4)/90d0 + (pi**2*ll2**2)/24d0 - 
     &(zp*ll2**3)/6d0 - (ll2**4)/24d0 + zp**2*((ll2**2)/8d0 -
     & (ll2**3)/12d0) + zp**3*(-((ll2)/24d0) + (5d0*ll2**2)/4
     &8d0 - (ll2**3)/18d0) + zp**4*(1d0/192d0 - (3d0*ll2)/64d
     &0 + (ll2**2)/12d0 - (ll2**3)/24d0) + zp**5*(7d0/960d0 -
     & (83d0*ll2)/1920d0 + (131d0*ll2**2)/1920d0 - (ll2**3)/3
     &0d0) + zp**6*(35d0/4608d0 - (11d0*ll2)/288d0 + (661d0*l
     &l2**2)/11520d0 - (ll2**3)/36d0) - cli4pt5 - (7d0*ll2*ze
     &ta3)/8d0

         case(29)            !0-1-10

            zp = 1d0-x

            ris = -((pi**4)/288d0) + zp**2*(-((pi**2)/4
     &8d0) + (pi**2*ll2)/24d0 - (zeta3)/16d0) + zp**3*(-((pi*
     &*2*5d0)/288d0) + (pi**2*ll2)/36d0 - (zeta3)/24d0) + zp*
     &*4*(-((pi**2)/72d0) + 1d0/96d0 + (pi**2*ll2)/48d0 - (ze
     &ta3)/32d0) + zp**5*(-((pi**2*131d0)/11520d0) + 1d0/64d0
     & + (pi**2*ll2)/60d0 - (zeta3)/40d0) + zp**6*(11d0/640d0
     & - (pi**2*661d0)/69120d0 + (pi**2*ll2)/72d0 - (zeta3)/4
     &8d0) + zp*((pi**2*ll2)/12d0 - (zeta3)/8d0)

         case(30)            !0-1-11

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/80d0) + (pi**2*ll2**2)/24d0
     & + (ll2**4)/12d0 + 2*cli4pt5 + zp**2*((pi**2)/48d0 - (l
     &l2**2)/8d0 + (ll2**3)/12d0 - (zeta3)/16d0) + zp**3*(-(1
     &1d0/144d0) + (pi**2*5d0)/288d0 - (5d0*ll2**2)/48d0 + (l
     &l2**3)/18d0 + (llzp)/24d0 - (zeta3)/24d0) + zp**4*((pi*
     &*2)/72d0 - 59d0/768d0 - (ll2**2)/12d0 + (ll2**3)/24d0 +
     & (3d0*llzp)/64d0 - (zeta3)/32d0) + zp**5*((pi**2*131d0)
     &/11520d0 - 7651d0/115200d0 - (131d0*ll2**2)/1920d0 + (l
     &l2**3)/30d0 + (83d0*llzp)/1920d0 - (zeta3)/40d0) + zp**
     &6*(-(65d0/1152d0) + (pi**2*661d0)/69120d0 - (661d0*ll2*
     &*2)/11520d0 + (ll2**3)/36d0 + (11d0*llzp)/288d0 - (zeta
     &3)/48d0) + zp*((ll2**3)/6d0 - (zeta3)/8d0)

         case(31)            !0-10-1

            zp = 1d0-x

            ris = (pi**4*13d0)/288d0 + (pi**2*ll2**2)/6
     &d0 - (ll2**4)/6d0 - 4*cli4pt5 - (7d0*ll2*zeta3)/2d0 + z
     &p**3*((pi**2*5d0)/288d0 - (ll2)/12d0 - (pi**2*ll2)/36d0
     & + (zeta3)/12d0) + zp**4*((pi**2)/72d0 + 1d0/96d0 - (pi
     &**2*ll2)/48d0 - (5d0*ll2)/48d0 + (zeta3)/16d0) + zp**5*
     &((pi**2*131d0)/11520d0 + 1d0/60d0 - (5d0*ll2)/48d0 - (p
     &i**2*ll2)/60d0 + (zeta3)/20d0) + zp**6*((pi**2*661d0)/6
     &9120d0 + 7d0/360d0 - (47d0*ll2)/480d0 - (pi**2*ll2)/72d
     &0 + (zeta3)/24d0) + zp*(-((pi**2*ll2)/12d0) + (zeta3)/4
     &d0) + zp**2*((pi**2)/48d0 - (pi**2*ll2)/24d0 + (zeta3)/
     &8d0)

         case(32)            !0-100

            zp = 1d0-x

            ris = (pi**4*7d0)/240d0 - (3d0*zp*zeta3)/4d
     &0 - (3d0*zp**2*zeta3)/8d0 - (zp**3*zeta3)/4d0 + zp**4*(
     &1d0/48d0 - (3d0*zeta3)/16d0) + zp**5*(17d0/480d0 - (3d0
     &*zeta3)/20d0) + zp**6*(25d0/576d0 - (zeta3)/8d0)

         case(33)            !0-101

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/480d0 + zp**2*((pi**2)/24d0 -
     & (pi**2*ll2)/12d0 + (5d0*zeta3)/16d0) + zp**3*((pi**2*5
     &d0)/144d0 - 11d0/72d0 - (pi**2*ll2)/18d0 + (llzp)/12d0 
     &+ (5d0*zeta3)/24d0) + zp**4*((pi**2)/36d0 - 95d0/576d0 
     &- (pi**2*ll2)/24d0 + (5d0*llzp)/48d0 + (5d0*zeta3)/32d0
     &) + zp**6*((pi**2*661d0)/34560d0 - 941d0/7200d0 - (pi**
     &2*ll2)/36d0 + (47d0*llzp)/480d0 + (5d0*zeta3)/48d0) + z
     &p**5*(-(43d0/288d0) + (pi**2*131d0)/5760d0 - (pi**2*ll2
     &)/30d0 + (5d0*llzp)/48d0 + (zeta3)/8d0) + zp*(-((pi**2*
     &ll2)/6d0) + (5d0*zeta3)/8d0)

         case(34)            !0-11-1

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4*7d0)/720d0) - (pi**2*ll2**2)
     &/4d0 + (21d0*ll2*zeta3)/8d0 + zp**3*(1d0/24d0 - (pi**2*
     &5d0)/288d0 - (pi**2*ll2)/36d0 + (37d0*ll2)/144d0 + (5d0
     &*ll2**2)/48d0 + (ll2**3)/18d0 - (5d0*ll2*llzp)/24d0 + (
     &zeta3)/12d0) + zp**4*(17d0/384d0 - (pi**2)/72d0 - (pi**
     &2*ll2)/48d0 + (107d0*ll2)/576d0 + (ll2**2)/12d0 + (ll2*
     &*3)/24d0 - (ll2*llzp)/6d0 + (zeta3)/16d0) + zp**5*(-((p
     &i**2*131d0)/11520d0) + 457d0/11520d0 - (pi**2*ll2)/60d0
     & + (8257d0*ll2)/57600d0 + (131d0*ll2**2)/1920d0 + (ll2*
     &*3)/30d0 - (131d0*ll2*llzp)/960d0 + (zeta3)/20d0) + zp*
     &*6*(-((pi**2*661d0)/69120d0) + 955d0/27648d0 + (13369d0
     &*ll2)/115200d0 - (pi**2*ll2)/72d0 + (661d0*ll2**2)/1152
     &0d0 + (ll2**3)/36d0 - (661d0*ll2*llzp)/5760d0 + (zeta3)
     &/24d0) + zp*(-((pi**2*ll2)/12d0) + (ll2**3)/6d0 + (zeta
     &3)/4d0) + zp**2*(-((pi**2)/48d0) - (pi**2*ll2)/24d0 + (
     &3d0*ll2)/8d0 + (ll2**2)/8d0 + (ll2**3)/12d0 - (ll2*llzp
     &)/4d0 + (zeta3)/8d0)

         case(35)            !0-110

            zp = 1d0-x

            ris = (pi**4*13d0)/1440d0 + (pi**2*ll2**2)/
     &6d0 - (ll2**4)/6d0 - 4*cli4pt5 + zp*(-((pi**2*ll2)/12d0
     &) + zeta3) + zp**2*(-((pi**2)/24d0) - (pi**2*ll2)/24d0 
     &+ (zeta3)/2d0) + zp**3*(1d0/12d0 - (pi**2*5d0)/144d0 - 
     &(pi**2*ll2)/36d0 + (zeta3)/3d0) + zp**4*(-((pi**2)/36d0
     &) + 3d0/32d0 - (pi**2*ll2)/48d0 + (zeta3)/4d0) + zp**5*
     &(251d0/2880d0 - (pi**2*131d0)/5760d0 - (pi**2*ll2)/60d0
     & + (zeta3)/5d0) + zp**6*(1343d0/17280d0 - (pi**2*661d0)
     &/34560d0 - (pi**2*ll2)/72d0 + (zeta3)/6d0)

         case(36)            !0-111

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4*11d0)/720d0) + (ll2**4)/8d0 
     &+ 3*cli4pt5 + zp**2*(7d0/16d0 + (pi**2*ll2)/24d0 - (ll2
     &**3)/12d0 - (3d0*llzp)/8d0 + (llzp**2)/8d0 - (7d0*zeta3
     &)/16d0) + zp**3*(227d0/864d0 + (pi**2*ll2)/36d0 - (ll2*
     &*3)/18d0 - (37d0*llzp)/144d0 + (5d0*llzp**2)/48d0 - (7d
     &0*zeta3)/24d0) + zp**4*(1247d0/6912d0 + (pi**2*ll2)/48d
     &0 - (ll2**3)/24d0 - (107d0*llzp)/576d0 + (llzp**2)/12d0
     & - (7d0*zeta3)/32d0) + zp**5*(470159d0/3456000d0 + (pi*
     &*2*ll2)/60d0 - (ll2**3)/30d0 - (8257d0*llzp)/57600d0 + 
     &(131d0*llzp**2)/1920d0 - (7d0*zeta3)/40d0) + zp**6*(225
     &7309d0/20736000d0 + (pi**2*ll2)/72d0 - (ll2**3)/36d0 - 
     &(13369d0*llzp)/115200d0 + (661d0*llzp**2)/11520d0 - (7d
     &0*zeta3)/48d0) + zp*((pi**2*ll2)/12d0 - (ll2**3)/6d0 - 
     &(7d0*zeta3)/8d0)

         case(37)            !00-1-1

            zp = 1d0-x

            ris = -((pi**4)/48d0) - (pi**2*ll2**2)/12d0
     & + (ll2**4)/12d0 + 2*cli4pt5 - (zp*zeta3)/8d0 + (7d0*ll
     &2*zeta3)/4d0 + zp**2*((ll2**2)/4d0 - (zeta3)/16d0) + zp
     &**3*(-((ll2)/12d0) + (ll2**2)/4d0 - (zeta3)/24d0) + zp*
     &*4*(1d0/96d0 - (11d0*ll2)/96d0 + (11d0*ll2**2)/48d0 - (
     &zeta3)/32d0) + zp**5*(17d0/960d0 - (ll2)/8d0 + (5d0*ll2
     &**2)/24d0 - (zeta3)/40d0) + zp**6*(253d0/11520d0 - (731
     &d0*ll2)/5760d0 + (137d0*ll2**2)/720d0 - (zeta3)/48d0)

         case(38)            !00-10

            zp = 1d0-x

            ris = -((pi**4*7d0)/240d0) + (3d0*zp*zeta3)
     &/2d0 + zp**3*(-((pi**2)/24d0) + (zeta3)/2d0) + zp**5*(-
     &((pi**2*5d0)/144d0) + 3d0/80d0 + (3d0*zeta3)/10d0) + zp
     &**6*(-((pi**2*137d0)/4320d0) + 7d0/144d0 + (zeta3)/4d0)
     & + zp**2*(-((pi**2)/24d0) + (3d0*zeta3)/4d0) + zp**4*(-
     &((pi**2*11d0)/288d0) + 1d0/48d0 + (3d0*zeta3)/8d0)

         case(39)            !00-11

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/180d0) - (pi**2*ll2**2)/12d
     &0 + (ll2**4)/12d0 + 2*cli4pt5 + zp**2*((pi**2)/24d0 + (
     &pi**2*ll2)/8d0 - (ll2**2)/4d0 - (13d0*zeta3)/16d0) + zp
     &**3*((pi**2)/24d0 - 11d0/72d0 + (pi**2*ll2)/12d0 - (ll2
     &**2)/4d0 + (llzp)/12d0 - (13d0*zeta3)/24d0) + zp**4*(-(
     &215d0/1152d0) + (pi**2*11d0)/288d0 + (pi**2*ll2)/16d0 -
     & (11d0*ll2**2)/48d0 + (11d0*llzp)/96d0 - (13d0*zeta3)/3
     &2d0) + zp**5*((pi**2*5d0)/144d0 - 181d0/960d0 + (pi**2*
     &ll2)/20d0 - (5d0*ll2**2)/24d0 + (llzp)/8d0 - (13d0*zeta
     &3)/40d0) + zp**6*(-(2321d0/12800d0) + (pi**2*137d0)/432
     &0d0 + (pi**2*ll2)/24d0 - (137d0*ll2**2)/720d0 + (731d0*
     &llzp)/5760d0 - (13d0*zeta3)/48d0) + zp*((pi**2*ll2)/4d0
     & - (13d0*zeta3)/8d0)

         case(40)            !000-1

            zp = 1d0-x

            ris = (pi**4*7d0)/720d0 - (3d0*zp*zeta3)/4d
     &0 + zp**4*((pi**2*11d0)/288d0 + 1d0/48d0 - (ll2)/4d0 - 
     &(3d0*zeta3)/16d0) + zp**5*(19d0/480d0 + (pi**2*5d0)/144
     &d0 - (7d0*ll2)/24d0 - (3d0*zeta3)/20d0) + zp**3*((pi**2
     &)/24d0 - (ll2)/6d0 - (zeta3)/4d0) + zp**6*((pi**2*137d0
     &)/4320d0 + 31d0/576d0 - (5d0*ll2)/16d0 - (zeta3)/8d0) +
     & zp**2*((pi**2)/24d0 - (3d0*zeta3)/8d0)

         case(41)            !0000

            zp = 1d0-x

            ris = (zp**4)/24d0 + (zp**5)/12d0 + (17d0*z
     &p**6)/144d0

         case(42)            !0001

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/90d0 - zp*zeta3 + zp**2*((pi*
     &*2)/12d0 - (zeta3)/2d0) + zp**3*((pi**2)/12d0 - 11d0/36
     &d0 + (llzp)/6d0 - (zeta3)/3d0) + zp**4*((pi**2*11d0)/14
     &4d0 - 19d0/48d0 + (llzp)/4d0 - (zeta3)/4d0) + zp**5*(-(
     &599d0/1440d0) + (pi**2*5d0)/72d0 + (7d0*llzp)/24d0 - (z
     &eta3)/5d0) + zp**6*((pi**2*137d0)/2160d0 - 79d0/192d0 +
     & (5d0*llzp)/16d0 - (zeta3)/6d0)

         case(43)            !001-1

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4*19d0)/1440d0) + (7d0*ll2*zet
     &a3)/4d0 + zp*(-((pi**2*ll2)/4d0) + zeta3) + zp**2*(-((p
     &i**2)/24d0) + (3d0*ll2)/4d0 - (pi**2*ll2)/8d0 + (ll2**2
     &)/4d0 - (ll2*llzp)/2d0 + (zeta3)/2d0) + zp**3*(1d0/12d0
     & - (pi**2)/24d0 - (pi**2*ll2)/12d0 + (7d0*ll2)/12d0 + (
     &ll2**2)/4d0 - (ll2*llzp)/2d0 + (zeta3)/3d0) + zp**4*(-(
     &(pi**2*11d0)/288d0) + 7d0/64d0 - (pi**2*ll2)/16d0 + (13
     &1d0*ll2)/288d0 + (11d0*ll2**2)/48d0 - (11d0*ll2*llzp)/2
     &4d0 + (zeta3)/4d0) + zp**5*(-((pi**2*5d0)/144d0) + 67d0
     &/576d0 - (pi**2*ll2)/20d0 + (53d0*ll2)/144d0 + (5d0*ll2
     &**2)/24d0 - (5d0*ll2*llzp)/12d0 + (zeta3)/5d0) + zp**6*
     &(-((pi**2*137d0)/4320d0) + 893d0/7680d0 - (pi**2*ll2)/2
     &4d0 + (2213d0*ll2)/7200d0 + (137d0*ll2**2)/720d0 - (137
     &d0*ll2*llzp)/360d0 + (zeta3)/6d0)

         case(44)            !0010

            zp = 1d0-x

            ris = -((pi**4)/30d0) + 2*zp*zeta3 + zp**2*
     &(-((pi**2)/12d0) + zeta3) + zp**4*(-((pi**2*11d0)/144d0
     &) + 11d0/48d0 + (zeta3)/2d0) + zp**6*(-((pi**2*137d0)/2
     &160d0) + 37d0/144d0 + (zeta3)/3d0) + zp**3*(-((pi**2)/1
     &2d0) + 1d0/6d0 + (2d0*zeta3)/3d0) + zp**5*(181d0/720d0 
     &- (pi**2*5d0)/72d0 + (2d0*zeta3)/5d0)

         case(45)            !0011

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/360d0 - zp*zeta3 + zp**2*(7d0
     &/8d0 - (3d0*llzp)/4d0 + (llzp**2)/4d0 - (zeta3)/2d0) + 
     &zp**3*(41d0/72d0 - (7d0*llzp)/12d0 + (llzp**2)/4d0 - (z
     &eta3)/3d0) + zp**4*(1397d0/3456d0 - (131d0*llzp)/288d0 
     &+ (11d0*llzp**2)/48d0 - (zeta3)/4d0) + zp**5*(2671d0/86
     &40d0 - (53d0*llzp)/144d0 + (5d0*llzp**2)/24d0 - (zeta3)
     &/5d0) + zp**6*(322493d0/1296000d0 - (2213d0*llzp)/7200d
     &0 + (137d0*llzp**2)/720d0 - (zeta3)/6d0)

         case(46)            !01-1-1

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4*7d0)/288d0 + (pi**2*5d0*ll2**2
     &)/24d0 - (ll2**4)/12d0 - 2*cli4pt5 - (21d0*ll2*zeta3)/8
     &d0 + zp**2*((pi**2*ll2)/24d0 - (ll2)/4d0 - (ll2**2)/8d0
     & - (ll2**3)/6d0 + (ll2**2*llzp)/4d0 - (zeta3)/16d0) + z
     &p**3*(1d0/48d0 + (pi**2*ll2)/36d0 - (3d0*ll2)/16d0 - (l
     &l2**2)/18d0 - (ll2**3)/9d0 + (ll2**2*llzp)/6d0 - (zeta3
     &)/24d0) + zp**4*(1d0/48d0 + (pi**2*ll2)/48d0 - (83d0*ll
     &2)/576d0 - (ll2**2)/32d0 - (ll2**3)/12d0 + (ll2**2*llzp
     &)/8d0 - (zeta3)/32d0) + zp**5*(139d0/7680d0 - (1337d0*l
     &l2)/11520d0 + (pi**2*ll2)/60d0 - (ll2**2)/50d0 - (ll2**
     &3)/15d0 + (ll2**2*llzp)/10d0 - (zeta3)/40d0) + zp**6*(1
     &43d0/9216d0 - (33497d0*ll2)/345600d0 + (pi**2*ll2)/72d0
     & - (ll2**2)/72d0 - (ll2**3)/18d0 + (ll2**2*llzp)/12d0 -
     & (zeta3)/48d0) + zp*((pi**2*ll2)/12d0 - (ll2**2)/2d0 - 
     &(ll2**3)/3d0 + (ll2**2*llzp)/2d0 - (zeta3)/8d0)

         case(47)            !01-10

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4*11d0)/480d0) - (pi**2*ll2**2
     &)/6d0 + (ll2**4)/6d0 + 4*cli4pt5 + zp**2*((pi**2)/48d0 
     &+ (pi**2*ll2)/8d0 - (pi**2*llzp)/24d0 - (13d0*zeta3)/16
     &d0) + zp**3*((pi**2)/108d0 + 1d0/24d0 + (pi**2*ll2)/12d
     &0 - (pi**2*llzp)/36d0 - (13d0*zeta3)/24d0) + zp**4*((pi
     &**2)/192d0 + 13d0/288d0 + (pi**2*ll2)/16d0 - (pi**2*llz
     &p)/48d0 - (13d0*zeta3)/32d0) + zp**5*(119d0/2880d0 + (p
     &i**2)/300d0 + (pi**2*ll2)/20d0 - (pi**2*llzp)/60d0 - (1
     &3d0*zeta3)/40d0) + zp**6*((pi**2)/432d0 + 3167d0/86400d
     &0 + (pi**2*ll2)/24d0 - (pi**2*llzp)/72d0 - (13d0*zeta3)
     &/48d0) + zp*((pi**2)/12d0 + (pi**2*ll2)/4d0 - (pi**2*ll
     &zp)/12d0 - (13d0*zeta3)/8d0)

         case(48)            !01-11

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4*7d0)/288d0 - (pi**2*ll2**2)/8d
     &0 - (ll2**4)/8d0 - 3*cli4pt5 + zp**3*(-((pi**2)/108d0) 
     &- 5d0/12d0 - (pi**2*ll2)/18d0 + (ll2**2)/18d0 + (ll2**3
     &)/9d0 + (pi**2*llzp)/36d0 + (3d0*llzp)/16d0 - (ll2**2*l
     &lzp)/6d0 + (7d0*zeta3)/12d0) + zp**4*(-((pi**2)/192d0) 
     &- 2101d0/6912d0 - (pi**2*ll2)/24d0 + (ll2**2)/32d0 + (l
     &l2**3)/12d0 + (pi**2*llzp)/48d0 + (83d0*llzp)/576d0 - (
     &ll2**2*llzp)/8d0 + (7d0*zeta3)/16d0) + zp**5*(-((pi**2)
     &/300d0) - 82237d0/345600d0 - (pi**2*ll2)/30d0 + (ll2**2
     &)/50d0 + (ll2**3)/15d0 + (1337d0*llzp)/11520d0 + (pi**2
     &*llzp)/60d0 - (ll2**2*llzp)/10d0 + (7d0*zeta3)/20d0) + 
     &zp**6*(-((pi**2)/432d0) - 505931d0/2592000d0 - (pi**2*l
     &l2)/36d0 + (ll2**2)/72d0 + (ll2**3)/18d0 + (33497d0*llz
     &p)/345600d0 + (pi**2*llzp)/72d0 - (ll2**2*llzp)/12d0 + 
     &(7d0*zeta3)/24d0) + zp*(-((pi**2)/12d0) - (pi**2*ll2)/6
     &d0 + (ll2**2)/2d0 + (ll2**3)/3d0 + (pi**2*llzp)/12d0 - 
     &(ll2**2*llzp)/2d0 + (7d0*zeta3)/4d0) + zp**2*(-((pi**2)
     &/48d0) - 5d0/8d0 - (pi**2*ll2)/12d0 + (ll2**2)/8d0 + (l
     &l2**3)/6d0 + (pi**2*llzp)/24d0 + (llzp)/4d0 - (ll2**2*l
     &lzp)/4d0 + (7d0*zeta3)/8d0)

         case(49)            !010-1

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4*71d0)/1440d0 + (pi**2*ll2**2)/
     &6d0 - (ll2**4)/6d0 - 4*cli4pt5 - (7d0*ll2*zeta3)/2d0 + 
     &zp**2*(-((pi**2)/48d0) - (ll2)/2d0 + (pi**2*llzp)/24d0 
     &+ (5d0*zeta3)/16d0) + zp**3*(-((pi**2)/108d0) + 1d0/24d
     &0 - (5d0*ll2)/12d0 + (pi**2*llzp)/36d0 + (5d0*zeta3)/24
     &d0) + zp**4*(-((pi**2)/192d0) + 7d0/144d0 - (49d0*ll2)/
     &144d0 + (pi**2*llzp)/48d0 + (5d0*zeta3)/32d0) + zp**6*(
     &-((pi**2)/432d0) + 3793d0/86400d0 - (5269d0*ll2)/21600d
     &0 + (pi**2*llzp)/72d0 + (5d0*zeta3)/48d0) + zp**5*(-((p
     &i**2)/300d0) + 17d0/360d0 - (41d0*ll2)/144d0 + (pi**2*l
     &lzp)/60d0 + (zeta3)/8d0) + zp*(-((pi**2)/12d0) + (pi**2
     &*llzp)/12d0 + (5d0*zeta3)/8d0)

         case(50)            !0100

            zp = 1d0-x

            ris = (pi**4)/30d0 - zp*zeta3 - (zp**2*zeta
     &3)/2d0 + zp**3*(1d0/12d0 - (zeta3)/3d0) + zp**4*(5d0/48
     &d0 - (zeta3)/4d0) + zp**5*(17d0/160d0 - (zeta3)/5d0) + 
     &zp**6*(59d0/576d0 - (zeta3)/6d0)

         case(51)            !0101

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/120d0 + zp**2*(-((pi**2)/24d0
     &) - 5d0/4d0 + (pi**2*llzp)/12d0 + (llzp)/2d0 + zeta3) +
     & zp*(-((pi**2)/6d0) + (pi**2*llzp)/6d0 + 2*zeta3) + zp*
     &*4*(-(1151d0/1728d0) - (pi**2)/96d0 + (pi**2*llzp)/24d0
     & + (49d0*llzp)/144d0 + (zeta3)/2d0) + zp**6*(-((pi**2)/
     &216d0) - 17653d0/40500d0 + (pi**2*llzp)/36d0 + (5269d0*
     &llzp)/21600d0 + (zeta3)/3d0) + zp**3*(-((pi**2)/54d0) -
     & 8d0/9d0 + (pi**2*llzp)/18d0 + (5d0*llzp)/12d0 + (2d0*z
     &eta3)/3d0) + zp**5*(-((pi**2)/150d0) - 2281d0/4320d0 + 
     &(pi**2*llzp)/30d0 + (41d0*llzp)/144d0 + (2d0*zeta3)/5d0
     &)

         case(52)            !011-1

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/80d0) + (pi**2*ll2**2)/12d0
     & + (ll2**4)/24d0 + cli4pt5 + (7d0*ll2*zeta3)/8d0 + zp**
     &2*((pi**2)/48d0 + 1d0/4d0 + (pi**2*ll2)/24d0 - (ll2)/8d
     &0 - (ll2**2)/8d0 - (ll2**3)/12d0 - (pi**2*llzp)/24d0 + 
     &(ll2*llzp)/4d0 + (ll2**2*llzp)/4d0 - (ll2*llzp**2)/4d0 
     &- (7d0*zeta3)/16d0) + zp**3*((pi**2)/108d0 + 17d0/96d0 
     &- (ll2)/27d0 + (pi**2*ll2)/36d0 - (ll2**2)/18d0 - (ll2*
     &*3)/18d0 - (pi**2*llzp)/36d0 + (ll2*llzp)/9d0 + (ll2**2
     &*llzp)/6d0 - (ll2*llzp**2)/6d0 - (7d0*zeta3)/24d0) + zp
     &**4*((pi**2)/192d0 + 463d0/3456d0 + (pi**2*ll2)/48d0 - 
     &(ll2)/64d0 - (ll2**2)/32d0 - (ll2**3)/24d0 - (pi**2*llz
     &p)/48d0 + (ll2*llzp)/16d0 + (ll2**2*llzp)/8d0 - (ll2*ll
     &zp**2)/8d0 - (7d0*zeta3)/32d0) + zp**5*(14843d0/138240d
     &0 + (pi**2)/300d0 - (ll2)/125d0 + (pi**2*ll2)/60d0 - (l
     &l2**2)/50d0 - (ll2**3)/30d0 - (pi**2*llzp)/60d0 + (ll2*
     &llzp)/25d0 + (ll2**2*llzp)/10d0 - (ll2*llzp**2)/10d0 - 
     &(7d0*zeta3)/40d0) + zp**6*(1856239d0/20736000d0 + (pi**
     &2)/432d0 - (ll2)/216d0 + (pi**2*ll2)/72d0 - (ll2**2)/72
     &d0 - (ll2**3)/36d0 - (pi**2*llzp)/72d0 + (ll2*llzp)/36d
     &0 + (ll2**2*llzp)/12d0 - (ll2*llzp**2)/12d0 - (7d0*zeta
     &3)/48d0) + zp*((pi**2)/12d0 - ll2 + (pi**2*ll2)/12d0 - 
     &(ll2**2)/2d0 - (ll2**3)/6d0 - (pi**2*llzp)/12d0 + ll2*l
     &lzp + (ll2**2*llzp)/2d0 - (ll2*llzp**2)/2d0 - (7d0*zeta
     &3)/8d0)

         case(53)            !0110

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/72d0) + zp*((pi**2)/6d0 - (
     &pi**2*llzp)/6d0 - zeta3) + zp**2*((pi**2)/24d0 + 1d0/2d
     &0 - (pi**2*llzp)/12d0 - (zeta3)/2d0) + zp**3*((pi**2)/5
     &4d0 + 3d0/8d0 - (pi**2*llzp)/18d0 - (zeta3)/3d0) + zp**
     &4*(251d0/864d0 + (pi**2)/96d0 - (pi**2*llzp)/24d0 - (ze
     &ta3)/4d0) + zp**5*((pi**2)/150d0 + 407d0/1728d0 - (pi**
     &2*llzp)/30d0 - (zeta3)/5d0) + zp**6*((pi**2)/216d0 + 25
     &6103d0/1296000d0 - (pi**2*llzp)/36d0 - (zeta3)/6d0)

         case(54)            !0111

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/90d0 + zp**2*(-(1d0/16d0) + (
     &llzp)/8d0 - (llzp**2)/8d0 + (llzp**3)/12d0) + zp**3*(-(
     &1d0/81d0) + (llzp)/27d0 - (llzp**2)/18d0 + (llzp**3)/18
     &d0) + zp**4*(-(1d0/256d0) + (llzp)/64d0 - (llzp**2)/32d
     &0 + (llzp**3)/24d0) + zp**5*(-(1d0/625d0) + (llzp)/125d
     &0 - (llzp**2)/50d0 + (llzp**3)/30d0) + zp**6*(-(1d0/129
     &6d0) + (llzp)/216d0 - (llzp**2)/72d0 + (llzp**3)/36d0) 
     &+ zp*(-1 + llzp - (llzp**2)/2d0 + (llzp**3)/6d0)

         case(55)            !1-1-1-1

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/90d0) - (pi**2*ll2**2)/12d0
     & + (zp*ll2**2)/4d0 + (ll2**4)/6d0 + zp**3*(1d0/144d0 - 
     &(ll2)/48d0 + (ll2**2)/144d0) + zp**5*(7d0/3840d0 - (ll2
     &)/384d0 + (ll2**2)/1600d0) + zp**2*(-((ll2)/16d0) + (ll
     &2**2)/32d0) + zp**6*(5d0/6144d0 - (137d0*ll2)/138240d0 
     &+ (ll2**2)/4608d0) + zp**4*(1d0/256d0 - (11d0*ll2)/1536
     &d0 + (ll2**2)/512d0) - (ll2**3*llzp)/6d0 + cli4pt5 + ll
     &2*zeta3

         case(56)            !1-1-10

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4*7d0)/360d0 - (pi**2*zp)/24d0 -
     & (pi**2*zp**2)/192d0 + (1d0/72d0 - (pi**2)/864d0)*zp**3
     & + (-((pi**2)/3072d0) + 7d0/768d0)*zp**4 + (1d0/200d0 -
     & (pi**2)/9600d0)*zp**5 + (-((pi**2)/27648d0) + 23d0/864
     &0d0)*zp**6 - (pi**2*ll2**2)/12d0 - (ll2**4)/12d0 + (pi*
     &*2*ll2*llzp)/12d0 - 2*cli4pt5 - (llzp*zeta3)/8d0

         case(57)            !1-1-11

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/288d0) + (pi**2*ll2**2)/24d
     &0 - (ll2**4)/8d0 + zp*((pi**2)/24d0 - (ll2**2)/4d0) + (
     &ll2**3*llzp)/6d0 + zp**6*((pi**2)/27648d0 - 8009d0/8294
     &400d0 - (ll2**2)/4608d0 + (137d0*llzp)/138240d0) + zp**
     &4*((pi**2)/3072d0 - 41d0/4608d0 - (ll2**2)/512d0 + (11d
     &0*llzp)/1536d0) + zp**2*((pi**2)/192d0 - 1d0/8d0 - (ll2
     &**2)/32d0 + (llzp)/16d0) + zp**5*(-(13d0/4608d0) + (pi*
     &*2)/9600d0 - (ll2**2)/1600d0 + (llzp)/384d0) + zp**3*(-
     &(1d0/32d0) + (pi**2)/864d0 - (ll2**2)/144d0 + (llzp)/48
     &d0) - (llzp*zeta3)/8d0

         case(58)            !1-10-1

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/24d0) + (pi**2*zp)/24d0 - (
     &pi**2*ll2**2)/8d0 + (ll2**4)/6d0 + zp**6*((pi**2)/27648
     &d0 + 97d0/23040d0 - (ll2)/135d0) + zp**3*(1d0/72d0 + (p
     &i**2)/864d0 - (ll2)/18d0) + zp**4*((pi**2)/3072d0 + 1d0
     &/96d0 - (5d0*ll2)/192d0) + zp**5*(1d0/150d0 + (pi**2)/9
     &600d0 - (ll2)/75d0) + zp**2*((pi**2)/192d0 - (ll2)/8d0)
     & - (pi**2*ll2*llzp)/12d0 + 4*cli4pt5 + (21d0*ll2*zeta3)
     &/8d0 + (llzp*zeta3)/4d0

         case(59)            !1-100

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/180d0 + (zp**3)/36d0 + (3d0*z
     &p**4)/128d0 + (zp**5)/60d0 + (5d0*zp**6)/432d0 + (pi**2
     &*ll2**2)/12d0 - (ll2**4)/12d0 - 2*cli4pt5 - (3d0*llzp*z
     &eta3)/4d0

         case(60)            !1-101

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4*29d0)/1440d0) + (pi**2*zp)/1
     &2d0 - (pi**2*ll2**2)/24d0 + (ll2**4)/8d0 - (pi**2*ll2*l
     &lzp)/6d0 + zp**6*((pi**2)/13824d0 - 667d0/129600d0 + (l
     &lzp)/135d0) + zp**3*(-(17d0/216d0) + (pi**2)/432d0 + (l
     &lzp)/18d0) + zp**4*((pi**2)/1536d0 - 65d0/2304d0 + (5d0
     &*llzp)/192d0) + zp**5*((pi**2)/4800d0 - 103d0/9000d0 + 
     &(llzp)/75d0) + zp**2*(-(1d0/4d0) + (pi**2)/96d0 + (llzp
     &)/8d0) + 3*cli4pt5 + (5d0*llzp*zeta3)/8d0

         case(61)            !1-11-1

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/160d0 + (pi**2*ll2**2)/8d0 - 
     &(ll2**4)/8d0 - (pi**2*ll2*llzp)/12d0 + (ll2**3*llzp)/6d
     &0 + zp**2*(1d0/16d0 - (pi**2)/192d0 + (ll2)/16d0 + (ll2
     &**2)/32d0 - (ll2*llzp)/16d0) + zp**6*(-((pi**2)/27648d0
     &) + 5269d0/8294400d0 + (ll2)/6912d0 + (ll2**2)/4608d0 -
     & (ll2*llzp)/2304d0) + zp**4*(-((pi**2)/3072d0) + 49d0/9
     &216d0 + (ll2)/512d0 + (ll2**2)/512d0 - (ll2*llzp)/256d0
     &) + zp*(-((pi**2)/24d0) + ll2 + (ll2**2)/4d0 - (ll2*llz
     &p)/2d0) + zp**3*(5d0/288d0 - (pi**2)/864d0 + (ll2)/108d
     &0 + (ll2**2)/144d0 - (ll2*llzp)/72d0) + zp**5*(41d0/230
     &40d0 - (pi**2)/9600d0 + (ll2)/2000d0 + (ll2**2)/1600d0 
     &- (ll2*llzp)/800d0) - 2*ll2*zeta3 + (llzp*zeta3)/4d0

         case(62)            !1-110

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/96d0) - (pi**2*zp)/12d0 + (
     &1d0/8d0 - (pi**2)/96d0)*zp**2 + (1d0/24d0 - (pi**2)/432
     &d0)*zp**3 + (-((pi**2)/1536d0) + 35d0/2304d0)*zp**4 + (
     &11d0/1800d0 - (pi**2)/4800d0)*zp**5 + (-((pi**2)/13824d
     &0) + 347d0/129600d0)*zp**6 + (pi**2*ll2**2)/24d0 + (ll2
     &**4)/8d0 - (pi**2*ll2*llzp)/12d0 + 3*cli4pt5 + llzp*zet
     &a3

         case(63)            !1-111

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**2*ll2*llzp)/12d0 - (ll2**3*llzp)
     &/6d0 + zp**3*(1d0/216d0 - (llzp)/108d0 + (llzp**2)/144d
     &0) + zp**5*(3d0/20000d0 - (llzp)/2000d0 + (llzp**2)/160
     &0d0) + zp**2*(3d0/64d0 - (llzp)/16d0 + (llzp**2)/32d0) 
     &+ zp**6*(1d0/27648d0 - (llzp)/6912d0 + (llzp**2)/4608d0
     &) + zp*(3d0/2d0 - llzp + (llzp**2)/4d0) + zp**4*(3d0/40
     &96d0 - (llzp)/512d0 + (llzp**2)/512d0) - 3*cli4pt5 - (7
     &d0*llzp*zeta3)/8d0

         case(64)            !10-1-1

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/480d0) + (zp*ll2**2)/2d0 + 
     &zp**3*(1d0/72d0 - (5d0*ll2)/72d0 + (ll2**2)/18d0) + zp*
     &*4*(3d0/256d0 - (ll2)/24d0 + (ll2**2)/32d0) + zp**5*(83
     &d0/9600d0 - (131d0*ll2)/4800d0 + (ll2**2)/50d0) + zp**6
     &*(11d0/1728d0 - (661d0*ll2)/34560d0 + (ll2**2)/72d0) + 
     &zp**2*(-((ll2)/8d0) + (ll2**2)/8d0) - (llzp*zeta3)/8d0

         case(65)            !10-10

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4*17d0)/1440d0 - (pi**2*zp)/12d0
     & - (pi**2*zp**2)/48d0 + (-((pi**2)/108d0) + 1d0/36d0)*z
     &p**3 + (-((pi**2)/192d0) + 5d0/192d0)*zp**4 + (-((pi**2
     &)/300d0) + 1d0/48d0)*zp**5 + (-((pi**2)/432d0) + 47d0/2
     &880d0)*zp**6 + (3d0*llzp*zeta3)/2d0

         case(66)            !10-11

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/160d0 + (pi**2*ll2**2)/8d0 - 
     &(ll2**4)/8d0 + zp*((pi**2)/12d0 - (ll2**2)/2d0) + (pi**
     &2*ll2*llzp)/4d0 + zp**4*((pi**2)/192d0 - 131d0/2304d0 -
     & (ll2**2)/32d0 + (llzp)/24d0) + zp**5*((pi**2)/300d0 - 
     &9829d0/288000d0 - (ll2**2)/50d0 + (131d0*llzp)/4800d0) 
     &+ zp**6*((pi**2)/432d0 - 46717d0/2073600d0 - (ll2**2)/7
     &2d0 + (661d0*llzp)/34560d0) + zp**3*((pi**2)/108d0 - 47
     &d0/432d0 - (ll2**2)/18d0 + (5d0*llzp)/72d0) + zp**2*((p
     &i**2)/48d0 - 1d0/4d0 - (ll2**2)/8d0 + (llzp)/8d0) - 3*c
     &li4pt5 - (13d0*llzp*zeta3)/8d0

         case(67)            !100-1

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4*11d0)/360d0) + (pi**2*zp)/12
     &d0 - (pi**2*ll2**2)/12d0 + (ll2**4)/12d0 + zp**5*((pi**
     &2)/300d0 + 1d0/40d0 - (ll2)/12d0) + zp**6*((pi**2)/432d
     &0 + 731d0/34560d0 - (137d0*ll2)/2160d0) + zp**2*((pi**2
     &)/48d0 - (ll2)/4d0) + zp**3*((pi**2)/108d0 + 1d0/36d0 -
     & (ll2)/6d0) + zp**4*((pi**2)/192d0 + 11d0/384d0 - (11d0
     &*ll2)/96d0) + 2*cli4pt5 + (7d0*ll2*zeta3)/4d0 - (3d0*ll
     &zp*zeta3)/4d0

         case(68)            !1000

            zp = 1d0-x

            ris = -((pi**4)/90d0) + (zp**3)/18d0 + (zp*
     &*4)/16d0 + (7d0*zp**5)/120d0 + (5d0*zp**6)/96d0

         case(69)            !1001

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/72d0) + (pi**2*zp)/6d0 + zp
     &**5*(-(13d0/144d0) + (pi**2)/150d0 + (llzp)/12d0) + zp*
     &*6*((pi**2)/216d0 - 8009d0/129600d0 + (137d0*llzp)/2160
     &d0) + zp**2*((pi**2)/24d0 - 1d0/2d0 + (llzp)/4d0) + zp*
     &*3*(-(1d0/4d0) + (pi**2)/54d0 + (llzp)/6d0) + zp**4*(-(
     &41d0/288d0) + (pi**2)/96d0 + (11d0*llzp)/96d0) - llzp*z
     &eta3

         case(70)            !101-1

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/1440d0 - (pi**2*ll2**2)/24d0 
     &+ (ll2**4)/24d0 - (pi**2*ll2*llzp)/4d0 + zp*(-((pi**2)/
     &12d0) + 2*ll2 + (ll2**2)/2d0 - ll2*llzp) + zp**4*(-((pi
     &**2)/192d0) + 83d0/2304d0 + (ll2)/32d0 + (ll2**2)/32d0 
     &- (ll2*llzp)/16d0) + zp**5*(-((pi**2)/300d0) + 1337d0/5
     &7600d0 + (2d0*ll2)/125d0 + (ll2**2)/50d0 - (ll2*llzp)/2
     &5d0) + zp**6*(33497d0/2073600d0 - (pi**2)/432d0 + (ll2)
     &/108d0 + (ll2**2)/72d0 - (ll2*llzp)/36d0) + zp**2*(-((p
     &i**2)/48d0) + 1d0/8d0 + (ll2)/4d0 + (ll2**2)/8d0 - (ll2
     &*llzp)/4d0) + zp**3*(-((pi**2)/108d0) + 1d0/16d0 + (2d0
     &*ll2)/27d0 + (ll2**2)/18d0 - (ll2*llzp)/9d0) + cli4pt5 
     &- (7d0*ll2*zeta3)/4d0 + llzp*zeta3

         case(71)            !1010

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4*7d0)/360d0 - (pi**2*zp)/6d0 + 
     &(-((pi**2)/24d0) + 1d0/4d0)*zp**2 + (-((pi**2)/54d0) + 
     &5d0/36d0)*zp**3 + (49d0/576d0 - (pi**2)/96d0)*zp**4 + (
     &-((pi**2)/150d0) + 41d0/720d0)*zp**5 + (-((pi**2)/216d0
     &) + 5269d0/129600d0)*zp**6 + 2*llzp*zeta3

         case(72)            !1011

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/30d0) + zp**3*(1d0/27d0 - (
     &2d0*llzp)/27d0 + (llzp**2)/18d0) + zp*(3 - 2*llzp + (ll
     &zp**2)/2d0) + zp**4*(3d0/256d0 - (llzp)/32d0 + (llzp**2
     &)/32d0) + zp**5*(3d0/625d0 - (2d0*llzp)/125d0 + (llzp**
     &2)/50d0) + zp**6*(1d0/432d0 - (llzp)/108d0 + (llzp**2)/
     &72d0) + zp**2*(3d0/16d0 - (llzp)/4d0 + (llzp**2)/8d0) -
     & llzp*zeta3

         case(73)            !11-1-1

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/720d0) - (zp*ll2)/2d0 - (pi
     &**2*ll2**2)/12d0 + (ll2**4)/8d0 + zp**4*(11d0/6144d0 - 
     &(ll2)/1024d0) + zp**6*(137d0/829440d0 - (ll2)/13824d0) 
     &+ zp**3*(1d0/144d0 - (ll2)/216d0) + zp**2*(1d0/32d0 - (
     &ll2)/32d0) + zp**5*(1d0/1920d0 - (ll2)/4000d0) + (pi**2
     &*ll2*llzp)/12d0 - (ll2**3*llzp)/3d0 + (ll2**2*llzp**2)/
     &4d0 + ll2*zeta3 - (llzp*zeta3)/8d0

         case(74)            !11-10

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4*11d0)/720d0 + (zp**2)/16d0 + (
     &zp**3)/54d0 + (5d0*zp**4)/768d0 + (zp**5)/375d0 + (zp**
     &6)/810d0 - (ll2**4)/8d0 + (pi**2*ll2*llzp)/4d0 - (pi**2
     &*llzp**2)/24d0 - 3*cli4pt5 - (13d0*llzp*zeta3)/8d0

         case(75)            !11-11

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**2*ll2*llzp)/6d0) + (ll2**3*llz
     &p)/3d0 + (pi**2*llzp**2)/24d0 - (ll2**2*llzp**2)/4d0 + 
     &zp**4*(-(3d0/4096d0) + (llzp)/1024d0) + zp**6*(-(1d0/27
     &648d0) + (llzp)/13824d0) + zp**3*(-(1d0/216d0) + (llzp)
     &/216d0) + zp*(-(3d0/2d0) + (llzp)/2d0) + zp**2*(-(3d0/6
     &4d0) + (llzp)/32d0) + zp**5*(-(3d0/20000d0) + (llzp)/40
     &00d0) + 3*cli4pt5 + (7d0*llzp*zeta3)/4d0

         case(76)            !110-1

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/288d0) - zp*ll2 - (pi**2*ll
     &2**2)/24d0 + (ll2**4)/24d0 + zp**5*(131d0/24000d0 - (ll
     &2)/125d0) + zp**6*(661d0/207360d0 - (ll2)/216d0) + zp**
     &3*(5d0/216d0 - (ll2)/27d0) + zp**4*(1d0/96d0 - (ll2)/64
     &d0) + zp**2*(1d0/16d0 - (ll2)/8d0) + (pi**2*llzp**2)/24
     &d0 + cli4pt5 + (7d0*ll2*zeta3)/8d0 + (5d0*llzp*zeta3)/8
     &d0

         case(77)            !1100

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/360d0) + (zp**2)/8d0 + (zp*
     &*3)/18d0 + (11d0*zp**4)/384d0 + (zp**5)/60d0 + (137d0*z
     &p**6)/12960d0 - llzp*zeta3

         case(78)            !1101

            zp = 1d0-x
            llzp = log(zp)

            ris = (pi**4)/30d0 + zp*(-3 + llzp) + (pi**
     &2*llzp**2)/12d0 + zp**5*(-(3d0/625d0) + (llzp)/125d0) +
     & zp**6*(-(1d0/432d0) + (llzp)/216d0) + zp**3*(-(1d0/27d
     &0) + (llzp)/27d0) + zp**4*(-(3d0/256d0) + (llzp)/64d0) 
     &+ zp**2*(-(3d0/16d0) + (llzp)/8d0) + 2*llzp*zeta3

         case(79)            !111-1

            zp = 1d0-x
            llzp = log(zp)

            ris = (zp)/2d0 + (zp**2)/64d0 + (zp**3)/648
     &d0 + (zp**4)/4096d0 + (zp**5)/20000d0 + (zp**6)/82944d0
     & + (pi**2*ll2*llzp)/12d0 - (ll2**3*llzp)/6d0 - (pi**2*l
     &lzp**2)/24d0 + (ll2**2*llzp**2)/4d0 - (ll2*llzp**3)/6d0
     & - cli4pt5 - (7d0*llzp*zeta3)/8d0

         case(80)            !1110

            zp = 1d0-x
            llzp = log(zp)

            ris = -((pi**4)/90d0) + zp + (zp**2)/16d0 +
     & (zp**3)/81d0 + (zp**4)/256d0 + (zp**5)/625d0 + (zp**6)
     &/1296d0 - (pi**2*llzp**2)/12d0 - llzp*zeta3

         case(81)            !1111

            zp = 1d0-x
            llzp = log(zp)

            ris = (llzp**4)/24d0
c End of expansions around x = +1

      end select
c --- set the imaginary part back to zero if it has been modified to
c --- get the branch cuts right (and should be zero).
      if (bcflag.eq.1) then
         xre = dreal(x)

         if (n4.eq.0.and.xre.gt.0d0) then
            if (xre.lt.1d0) then
               ris = dcmplx(dreal(ris),0d0)
            endif
c
         else if (n4.eq.1.and.xre.lt.1d0) then
            if (n1.ne.-1.and.n2.ne.-1.and.n3.ne.-1) then
               ris = dcmplx(dreal(ris),0d0)
            else if (xre.gt.-1d0) then
               ris = dcmplx(dreal(ris),0d0)
            endif
c            
         else if (n4.eq.-1.and.xre.gt.-1d0) then
            if (n1.ne.1.and.n2.ne.1.and.n3.ne.1) then
               ris = dcmplx(dreal(ris),0d0)
            else if (xre.lt.1d0) then
               ris = dcmplx(dreal(ris),0d0)
            endif
            
         endif
      endif

      HPL4ar1=ris
      return
      end function
